---
title: PerformanceMark
slug: Web/API/PerformanceMark
tags:
  - API
  - Interface
  - Performance Timing API
  - Reference
  - Web Performance
---
<div>{{APIRef("User Timing API")}}</div>

<p><span class="seoSummary"><code><strong>PerformanceMark</strong></code> is an <em>abstract</em> interface for {{domxref("PerformanceEntry")}} objects with an {{domxref("PerformanceEntry.entryType","entryType")}} of "<code>mark</code>". Entries of this type are created by calling {{domxref("Performance.mark","performance.mark()")}} to add a <em>named </em>{{domxref("DOMHighResTimeStamp")}} (the <em>mark</em>) to the browser's <em>performance timeline</em>.</span></p>

<p>{{InheritanceDiagram}}</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Properties">Properties</h2>

<p>This interface has no properties but it extends the following {{domxref("PerformanceEntry")}} properties by qualifying/constraining the properties as follows:</p>

<dl>
 <dt>{{domxref("PerformanceEntry.entryType")}}</dt>
 <dd>Returns "<code>mark</code>".</dd>
 <dt>{{domxref("PerformanceEntry.name")}}</dt>
 <dd>Returns the name given to the mark when it was created via a call to {{domxref("Performance.mark()","performance.mark()")}}.</dd>
 <dt>{{domxref("PerformanceEntry.startTime")}}</dt>
 <dd>Returns the {{domxref("DOMHighResTimeStamp")}} when {{domxref("Performance.mark()","performance.mark()")}} was called.</dd>
 <dt>{{domxref("PerformanceEntry.duration")}}</dt>
 <dd>Returns "<code>0</code>". (A mark has no <em>duration</em>.)</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>This interface has no methods.</p>

<h2 id="Example">Example</h2>

<p>See the example in <a href="/Web/API/User_Timing_API/Using_the_User_Timing_API">Using the User Timing API</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('User Timing Level 2', '#performancemark', 'PerformanceMark')}}</td>
   <td>{{Spec2('User Timing Level 2')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('User Timing', '#performancemark', 'PerformanceMark')}}</td>
   <td>{{Spec2('User Timing')}}</td>
   <td>Basic definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PerformanceMark")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/Web/API/User_Timing_API">User Timing (Overview)</a></li>
 <li><a href="/Web/API/User_Timing_API/Using_the_User_Timing_API">Using the User Timing API</a></li>
</ul>
